import dynamix_sdk.base as _base


class CloudapiLbFrontendBindResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbFrontendBindProtocol(_base.BasePostAPIFunctionProtocol):
    def frontend_bind(
        self,
        *,
        lb_id: int,
        frontend_name: str,
        binding_name: str,
        ip_addr: str,
        port: int,
    ) -> CloudapiLbFrontendBindResultBool:
        ...
